% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/generics.R, R/annotation_source_class.R,
%   R/annotation_database_class.R, R/cd_source_class.R, R/ls_source_class.R
\name{read_source}
\alias{read_source}
\alias{read_source,annotation_source-method}
\alias{read_source,annotation_database-method}
\alias{read_source,cd_source-method}
\alias{read_source,ls_source-method}
\title{Import annotation source}
\usage{
read_source(obj, ...)

\S4method{read_source}{annotation_source}(obj)

\S4method{read_source}{annotation_database}(obj)

\S4method{read_source}{cd_source}(obj)

\S4method{read_source}{ls_source}(obj)
}
\arguments{
\item{obj}{an \code{\link[=annotation_source]{annotation_source()}} object}

\item{...}{not currently used}
}
\value{
an \code{\link[=annotation_table]{annotation_table()}} or
\code{\link[=annotation_database]{annotation_database()}} object
}
\description{
Import an data from e.g. a raw file and parse it into an
\code{\link[=annotation_source]{annotation_source()}} object.
}
\examples{
# prepare source
CD <- cd_source(
    source = system.file(
        paste0("extdata/MTox/CD/HILIC_POS.xlsx"),
        package = "MetMashR"
    )
)

}
