% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/BiocFileCache_database_helpers.R
\name{unzip_before_cache}
\alias{unzip_before_cache}
\title{Unzip file before caching with BiocFileCache_database}
\usage{
unzip_before_cache(from, to)
}
\arguments{
\item{from}{incoming path}

\item{to}{the outgoing path}
}
\value{
TRUE if successful
}
\description{
This helper function is for use with \code{\link[=BiocFileCache_database]{BiocFileCache_database()}} objects.
Using it as the
\code{bfc_fun} input for this object will unzip a downloaded resource into a
temporary folder before storing it in the cache.
}
\examples{
M <- BiocFileCache_database(
    source = tempfile(),
    resource_name = "example",
    bfc_fun = unzip_before_cache
)

}
